OpenGLのコンテキスト

opengl-context.png
    //OpenGL Version 4.5 Core Profile を選択する
    glfwWindowHint(GLFW_CONTEXT_VERSION_MAJOR,3);
    glfwWindowHint(GLFW_CONTEXT_VERSION_MINOR, 2);
    //前方互換プロファイル、古い機能を使えなくする
    glfwWindowHint(GLFW_OPENGL_FORWARD_COMPAT, true);
    //OpenGLのプロファイルをコアプロファイルに指定する。
    glfwWindowHint(GLFW_OPENGL_PROFILE, GLFW_OPENGL_CORE_PROFILE);

OpenGL 3.2 and 4.1の間で非推奨になった機能は存在しないので3.2を指定しておくことをおすすめする。
GLFWだとOpenGL4とか指定するとバグる

context

サポートサイト Wikidot.com context